Skip to main content
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
revisions
Retrieve revisions for a given definition
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "definition": {
        "actionUrl": "<string>",
        "functions": [
          {
            "functionType": "POST_ACTION_EXECUTION",
            "id": "<string>"
          }
        ],
        "id": "<string>",
        "inputFields": [
          {
            "isRequired": true,
            "typeDefinition": {
              "name": "<string>",
              "options": [
                {
                  "label": "<string>",
                  "value": "<string>",
                  "description": "<string>",
                  "displayOrder": 123
                }
              ],
              "type": "bool",
              "description": "<string>",
              "fieldType": "booleancheckbox",
              "helpText": "<string>",
              "label": "<string>",
              "optionsUrl": "<string>",
              "referencedObjectType": "OWNER"
            },
            "supportedValueTypes": [
              "STATIC_VALUE"
            ]
          }
        ],
        "labels": {},
        "objectTypes": [
          "<string>"
        ],
        "published": true,
        "revisionId": "<string>",
        "archivedAt": 123,
        "executionRules": [
          {
            "conditions": {},
            "labelName": "<string>"
          }
        ],
        "inputFieldDependencies": [
          {
            "controllingFieldName": "<string>",
            "dependencyType": "SINGLE_FIELD",
            "dependentFieldNames": [
              "<string>"
            ]
          }
        ],
        "objectRequestOptions": {
          "properties": [
            "<string>"
          ]
        },
        "outputFields": [
          {
            "typeDefinition": {
              "externalOptions": true,
              "name": "<string>",
              "options": [
                {
                  "description": "<string>",
                  "displayOrder": 123,
                  "doubleData": 123,
                  "hidden": true,
                  "label": "<string>",
                  "readOnly": true,
                  "value": "<string>"
                }
              ],
              "schema": {
                "type": "INTEGER",
                "maximum": 123,
                "minimum": 123
              },
              "type": "bool",
              "useChirp": true,
              "description": "<string>",
              "externalOptionsReferenceType": "<string>",
              "fieldType": "booleancheckbox",
              "helpText": "<string>",
              "label": "<string>",
              "optionsUrl": "<string>",
              "referencedObjectType": "ABANDONED_CART"
            }
          }
        ]
      },
      "id": "<string>",
      "revisionId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required
definitionId
string
required

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

limit
integer<int32>

The maximum number of results to display per page.

Response

successful operation

results
object[]
required
paging
object
Last modified on March 30, 2026